Clp 1.17.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Private Attributes | List of all members
OsiLotsize Class Reference

Lotsize class. More...

`#include <OsiBranchingObject.hpp>`

Inheritance diagram for OsiLotsize:
[legend]
Collaboration diagram for OsiLotsize:
[legend]

## Public Member Functions
| OsiLotsize ()
| OsiLotsize (const OsiSolverInterface *solver, int iColumn, int numberPoints, const double *points, bool range=false)
| OsiLotsize (const OsiLotsize &)
virtual OsiObject * | clone () const
| Clone. More...
OsiLotsize & | operator= (const OsiLotsize &rhs)
virtual | ~OsiLotsize ()
virtual double | infeasibility (const OsiBranchingInformation *info, int &whichWay) const
| Infeasibility - large is 0.5. More...
virtual double | feasibleRegion (OsiSolverInterface *solver, const OsiBranchingInformation *info) const
| Set bounds to contain the current solution. More...
virtual OsiBranchingObject * | createBranch (OsiSolverInterface *solver, const OsiBranchingInformation *info, int way) const
| Creates a branching object. More...
void | setColumnNumber (int value)
| Set solver column number. More...
virtual int | columnNumber () const
| Column number if single column object -1 otherwise, so returns >= 0 Used by heuristics. More...
virtual void | resetBounds (const OsiSolverInterface *solver)
| Reset original upper and lower bound values from the solver. More...
bool | findRange (double value, double integerTolerance) const
| Finds range of interest so value is feasible in range range_ or infeasible between hi[range_] and lo[range_+1]. More...
virtual void | floorCeiling (double &floorLotsize, double &ceilingLotsize, double value, double tolerance) const
| Returns floor and ceiling. More...
double | originalLowerBound () const
| Original bounds. More...
double | originalUpperBound () const
int | rangeType () const
| Type - 1 points, 2 ranges. More...
int | numberRanges () const
| Number of points. More...
double * | bound () const
| Ranges. More...
virtual void | resetSequenceEtc (int numberColumns, const int *originalColumns)
| Change column numbers after preprocessing. More...
virtual double | upEstimate () const
| Return "up" estimate (default 1.0e-5) More...
virtual double | downEstimate () const
| Return "down" estimate (default 1.0e-5) More...
virtual bool | canHandleShadowPrices () const
| Return true if knows how to deal with Pseudo Shadow Prices. More...
virtual bool | canDoHeuristics () const
| Return true if object can take part in normal heuristics. More...
Public Member Functions inherited from OsiObject2
| OsiObject2 ()
| Default Constructor. More...
| OsiObject2 (const OsiObject2 &)
| Copy constructor. More...
OsiObject2 & | operator= (const OsiObject2 &rhs)
| Assignment operator. More...
virtual | ~OsiObject2 ()
| Destructor. More...
void | setPreferredWay (int value)
| Set preferred way of branching - -1 off, 0 down, 1 up (for 2-way) More...
virtual int | preferredWay () const
| Get preferred way of branching - -1 off, 0 down, 1 up (for 2-way) More...
Public Member Functions inherited from OsiObject
| OsiObject ()
| Default Constructor. More...
| OsiObject (const OsiObject &)
| Copy constructor. More...
OsiObject & | operator= (const OsiObject &rhs)
| Assignment operator. More...
virtual | ~OsiObject ()
| Destructor. More...
double | infeasibility (const OsiSolverInterface *solver, int &whichWay) const
| Infeasibility of the object. More...
virtual double | checkInfeasibility (const OsiBranchingInformation *info) const
virtual double | feasibleRegion (OsiSolverInterface *solver) const
| For the variable(s) referenced by the object, look at the current solution and set bounds to match the solution. More...
virtual bool | canMoveToNearest () const
| Return true if object can take part in move to nearest heuristic. More...
int | priority () const
| Return Priority - note 1 is highest priority. More...
void | setPriority (int priority)
| Set priority. More...
virtual bool | boundBranch () const
| Return true if branch should only bound variables. More...
int | numberWays () const
| Return maximum number of ways branch may have. More...
void | setNumberWays (int numberWays)
| Set maximum number of ways branch may have. More...
void | setWhichWay (int way)
| Return preferred way to branch. More...
int | whichWay () const
| Return current preferred way to branch. More...
double | infeasibility () const
| Return infeasibility. More...
virtual void | updateBefore (const OsiObject *)
| Updates stuff like pseudocosts before threads. More...
virtual void | updateAfter (const OsiObject *, const OsiObject *)
| Updates stuff like pseudocosts after threads finished. More...

## Private Attributes
int | columnNumber_
| data More...
int | rangeType_
| Type - 1 points, 2 ranges. More...
int | numberRanges_
| Number of points. More...
double | largestGap_
double * | bound_
| Ranges. More...
int | range_
| Current range. More...

## Additional Inherited Members
Protected Attributes inherited from OsiObject2
int | preferredWay_
| Preferred way of branching - -1 off, 0 down, 1 up (for 2-way) More...
double | otherInfeasibility_
| "Infeasibility" on other way More...
Protected Attributes inherited from OsiObject
double | infeasibility_
| data More...
short | whichWay_
| Computed preferred way to branch. More...
short | numberWays_
| Maximum number of ways on branch. More...
int | priority_
| Priority. More...

## Detailed Description

Lotsize class.

Definition at line 904 of file OsiBranchingObject.hpp.

## Constructor & Destructor Documentation

OsiLotsize::OsiLotsize | ( |  | ) |

OsiLotsize::OsiLotsize | ( | const OsiSolverInterface * | solver,
|  | int | iColumn,
|  | int | numberPoints,
|  | const double * | points,
|  | bool | range = `false`
| ) |  |

OsiLotsize::OsiLotsize | ( | const OsiLotsize & |  | ) |

virtual OsiLotsize::~OsiLotsize | ( |  | ) |
| virtual

## Member Function Documentation

virtual OsiObject* OsiLotsize::clone | ( |  | ) | const
| virtual

Clone.

Implements OsiObject.

OsiLotsize& OsiLotsize::operator= | ( | const OsiLotsize & | rhs | ) |

virtual double OsiLotsize::infeasibility | ( | const OsiBranchingInformation * | info,
|  | int & | whichWay
| ) |  | const
| virtual

Infeasibility - large is 0.5.

Implements OsiObject.

virtual double OsiLotsize::feasibleRegion | ( | OsiSolverInterface * | solver,
|  | const OsiBranchingInformation * | info
| ) |  | const
| virtual

Set bounds to contain the current solution.

More precisely, for the variable associated with this object, take the value given in the current solution, force it within the current bounds if required, then set the bounds to fix the variable at the integer nearest the solution value. Returns amount it had to move variable.

Implements OsiObject.

virtual OsiBranchingObject* OsiLotsize::createBranch | ( | OsiSolverInterface * | solver,
|  | const OsiBranchingInformation * | info,
|  | int | way
| ) |  | const
| virtual

Creates a branching object.

The preferred direction is set by `way`, 0 for down, 1 for up.

Reimplemented from OsiObject.

void OsiLotsize::setColumnNumber | ( | int | value | ) |
| inline

Set solver column number.

Definition at line 949 of file OsiBranchingObject.hpp.

virtual int OsiLotsize::columnNumber | ( |  | ) | const
| virtual

Column number if single column object -1 otherwise, so returns >= 0 Used by heuristics.

Reimplemented from OsiObject.

virtual void OsiLotsize::resetBounds | ( | const OsiSolverInterface * | solver | ) |
| virtual

Reset original upper and lower bound values from the solver.

Handy for updating bounds held in this object after bounds held in the solver have been tightened.

Reimplemented from OsiObject.

bool OsiLotsize::findRange | ( | double | value,
|  | double | integerTolerance
| ) |  | const

Finds range of interest so value is feasible in range range_ or infeasible between hi[range_] and lo[range_+1].

Returns true if feasible.

virtual void OsiLotsize::floorCeiling | ( | double & | floorLotsize,
|  | double & | ceilingLotsize,
|  | double | value,
|  | double | tolerance
| ) |  | const
| virtual

Returns floor and ceiling.

double OsiLotsize::originalLowerBound | ( |  | ) | const
| inline

Original bounds.

Definition at line 977 of file OsiBranchingObject.hpp.

double OsiLotsize::originalUpperBound | ( |  | ) | const
| inline

Definition at line 981 of file OsiBranchingObject.hpp.

int OsiLotsize::rangeType | ( |  | ) | const
| inline

Type - 1 points, 2 ranges.

Definition at line 986 of file OsiBranchingObject.hpp.

int OsiLotsize::numberRanges | ( |  | ) | const
| inline

Number of points.

Definition at line 991 of file OsiBranchingObject.hpp.

double* OsiLotsize::bound | ( |  | ) | const
| inline

Ranges.

Definition at line 996 of file OsiBranchingObject.hpp.

virtual void OsiLotsize::resetSequenceEtc | ( | int | numberColumns,
|  | const int * | originalColumns
| ) |  |
| virtual

Change column numbers after preprocessing.

Reimplemented from OsiObject.

virtual double OsiLotsize::upEstimate | ( |  | ) | const
| virtual

Return "up" estimate (default 1.0e-5)

Reimplemented from OsiObject.

virtual double OsiLotsize::downEstimate | ( |  | ) | const
| virtual

Return "down" estimate (default 1.0e-5)

Reimplemented from OsiObject.

virtual bool OsiLotsize::canHandleShadowPrices | ( |  | ) | const
| inline virtual

Return true if knows how to deal with Pseudo Shadow Prices.

Reimplemented from OsiObject.

Definition at line 1009 of file OsiBranchingObject.hpp.

virtual bool OsiLotsize::canDoHeuristics | ( |  | ) | const
| inline virtual

Return true if object can take part in normal heuristics.

Reimplemented from OsiObject.

Definition at line 1015 of file OsiBranchingObject.hpp.

## Member Data Documentation

int OsiLotsize::columnNumber_
| private

data

Column number in model

Definition at line 1024 of file OsiBranchingObject.hpp.

int OsiLotsize::rangeType_
| private

Type - 1 points, 2 ranges.

Definition at line 1026 of file OsiBranchingObject.hpp.

int OsiLotsize::numberRanges_
| private

Number of points.

Definition at line 1028 of file OsiBranchingObject.hpp.

double OsiLotsize::largestGap_
| private

Definition at line 1030 of file OsiBranchingObject.hpp.

double* OsiLotsize::bound_
| private

Ranges.

Definition at line 1032 of file OsiBranchingObject.hpp.

int OsiLotsize::range_
| mutable private

Current range.

Definition at line 1034 of file OsiBranchingObject.hpp.

The documentation for this class was generated from the following file:

- /tmp/Clp-1.17.6/Osi/src/Osi/OsiBranchingObject.hpp